# Generated by Django 5.0.10 on 2025-02-19 12:45

import django.db.models.deletion
import taggit.managers
import utilities.json
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('dcim', '0191_module_bay_rebuild'),
        ('extras', '0121_customfield_related_object_filter'),
        ('tenancy', '0015_contactassignment_rename_content_type'),
        ('virtualization', '0040_convert_disk_size'),
    ]

    operations = [
        migrations.CreateModel(
            name='Application',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False)),
                ('created', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_updated', models.DateTimeField(auto_now=True, null=True)),
                ('custom_field_data', models.JSONField(blank=True, default=dict, encoder=utilities.json.CustomFieldJSONEncoder)),
                ('status', models.CharField(max_length=50)),
                ('comments', models.TextField(blank=True)),
                ('name', models.CharField(max_length=150)),
                ('description', models.CharField(blank=True, max_length=500)),
                ('url', models.URLField(max_length=300)),
                ('version', models.CharField(max_length=200)),
                ('cluster', models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, related_name='applications_cluster', to='virtualization.cluster')),
                ('cluster_group', models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, related_name='applications_cluster_group', to='virtualization.clustergroup')),
                ('device', models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, related_name='applications_device', to='dcim.device')),
                ('manufacturer', models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, related_name='applications_manufacturer', to='dcim.manufacturer')),
                ('tags', taggit.managers.TaggableManager(through='extras.TaggedItem', to='extras.Tag')),
                ('tenant', models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, related_name='applications_tenant', to='tenancy.tenant')),
                ('tenant_groups', models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, related_name='applications_tenant_group', to='tenancy.tenantgroup')),
                ('virtual_machines', models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, related_name='applications_virtual_machines', to='virtualization.virtualmachine')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
